diff --git a/hamcrest-1.1/build.xml b/hamcrest-1.1/build.xml
index f819d3d..6d4ea63 100644
--- a/hamcrest-1.1/build.xml
+++ b/hamcrest-1.1/build.xml
@@ -23,87 +23,28 @@
 
     <target name="generator"
             description="Build code generator tool">
-        <java-to-jar srcdir="hamcrest-generator/src/main/java"
-                     destjar="build/temp/hamcrest-generator-${version}-nodeps.jar"
-                     classpath="
-                       lib/generator/qdox-1.6.1.jar;
-                     "/>
-        <taskdef name="jarjar"
-                 classname="com.tonicsystems.jarjar.JarJarTask"
-                 classpath="lib/generator/jarjar-1.0rc3.jar"/>
-        <!-- Bundle QDox classes in hamcrest-generator.jar so user doesn't need to care
-             about it's existence. Uses JarJar to place classes under a different package
-             to prevent conflict. -->
-        <jarjar jarfile="build/hamcrest-generator-${version}.jar">
-            <zipfileset src="build/temp/hamcrest-generator-${version}-nodeps.jar"/>
-            <zipfileset src="lib/generator/qdox-1.6.1.jar"/>
-            <rule pattern="com.thoughtworks.qdox.**"
-                  result="org.hamcrest.generator.qdox.@1"/>
-        </jarjar>
     </target>
 
     <target name="core"
             depends="generator"
             description="Build core Hamcrest library">
-        <java-to-jar srcdir="hamcrest-core/src/main/java"
-                     destjar="build/hamcrest-core-${version}.jar"/>
-        <!-- Generate one class with all static imports -->
-        <mkdir dir="build/temp/hamcrest-core/generated-code"/>
-        <java classname="org.hamcrest.generator.config.XmlConfigurator"
-              fork="yes"
-              failonerror="yes"
-              classpath="
-                build/hamcrest-core-${version}.jar;
-                build/hamcrest-generator-${version}.jar;
-              ">
-            <arg value="core-matchers.xml"/>
-            <arg value="hamcrest-core/src/main/java"/>
-            <arg value="org.hamcrest.CoreMatchers"/>
-            <arg value="build/temp/hamcrest-core/generated-code"/>
-        </java>
-        <!-- Append to core jar -->
-        <java-to-jar srcdir="build/temp/hamcrest-core/generated-code"
-                     destjar="build/hamcrest-core-${version}.jar"
-                     classpath="build/hamcrest-core-${version}.jar"/>
     </target>
 
     <target name="library"
             depends="core,generator"
             description="Build library of matchers">
-        <java-to-jar srcdir="hamcrest-library/src/main/java"
-                     destjar="build/hamcrest-library-${version}.jar"
-                     classpath="build/hamcrest-core-${version}.jar"/>
-        <!-- Generate one class with all static imports -->
-        <mkdir dir="build/temp/hamcrest-library/generated-code"/>
-        <java classname="org.hamcrest.generator.config.XmlConfigurator"
-              fork="yes"
-              failonerror="yes"
-              classpath="
-                build/hamcrest-core-${version}.jar;
-                build/hamcrest-generator-${version}.jar;
-                build/hamcrest-library-${version}.jar;
-              ">
-            <arg value="matchers.xml"/>
-            <arg value="hamcrest-core/src/main/java,hamcrest-library/src/main/java"/>
-            <arg value="org.hamcrest.Matchers"/>
-            <arg value="build/temp/hamcrest-library/generated-code"/>
-        </java>
-        <!-- Append to library jar -->
-        <java-to-jar srcdir="build/temp/hamcrest-library/generated-code"
-                     destjar="build/hamcrest-library-${version}.jar"
-                     classpath="build/hamcrest-core-${version}.jar"/>
     </target>
 
-    <target name="text"
-            depends="core, library"
-            description="Build text pattern matcher">
-        <java-to-jar srcdir="hamcrest-text/src/main/java"
-                     destjar="build/hamcrest-text-${version}.jar"
-                     classpath="
-                        build/hamcrest-core-${version}.jar;
-                        build/hamcrest-library-${version}.jar"/>
-    </target>
-	
+    <target name="text"
+            depends="core, library"
+            description="Build text pattern matcher">
+        <java-to-jar srcdir="hamcrest-text/src/main/java"
+                     destjar="build/hamcrest-text-${version}.jar"
+                     classpath="
+                        build/hamcrest-core-${version}.jar;
+                        build/hamcrest-library-${version}.jar"/>
+    </target>
+	
     <target name="integration"
             depends="core, library"
             description="Build integration with external tools">
@@ -121,7 +62,7 @@
                      destjar="build/hamcrest-unit-test-${version}.jar"
                      classpath="
                         build/hamcrest-core-${version}.jar;
-                        build/hamcrest-library-${version}.jar;
+                        build/hamcrest-library-${version}.jar;
         				build/hamcrest-text-${version}.jar;
                         build/hamcrest-integration-${version}.jar;
                         build/hamcrest-generator-${version}.jar"/>
@@ -164,7 +105,7 @@
         <jar jarfile="build/hamcrest-all-${version}.jar" duplicate="preserve">
             <zipfileset src="build/hamcrest-core-${version}.jar"/>
             <zipfileset src="build/hamcrest-library-${version}.jar"/>
-            <zipfileset src="build/hamcrest-text-${version}.jar"/>
+            <zipfileset src="build/hamcrest-text-${version}.jar"/>
             <zipfileset src="build/hamcrest-generator-${version}.jar"/>
             <zipfileset src="build/hamcrest-integration-${version}.jar"/>
         </jar>
@@ -221,7 +162,7 @@
 
 			<packageset dir="hamcrest-core/src/main/java"/>
 			<packageset dir="hamcrest-library/src/main/java" excludes="org/hamcrest/internal"/>
-			<packageset dir="hamcrest-text/src/main/java" excludes="**/internal/**"/>
+			<packageset dir="hamcrest-text/src/main/java" excludes="**/internal/**"/>
 			<packageset dir="hamcrest-integration/src/main/java"/>
 			<packageset dir="build/generated-code"/>
 			
@@ -261,4 +202,4 @@
         </sequential>
     </macrodef>
 
-</project>
+</project>
